JUCE: LowLevelGraphicsSoftwareRenderer Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LowLevelGraphicsSoftwareRenderer Class Reference
juce_graphics » contexts

A lowest-common-denominator implementation of LowLevelGraphicsContext that does all its rendering in memory. More...

`#include <juce_LowLevelGraphicsSoftwareRenderer.h>`

Inherits RenderingHelpers::StackBasedLowLevelGraphicsContext< RenderingHelpers::SoftwareRendererSavedState >.

## Public Member Functions
| LowLevelGraphicsSoftwareRenderer (const Image &imageToRenderOnto)
| Creates a context to render into an image.
| LowLevelGraphicsSoftwareRenderer (const Image &imageToRenderOnto, Point< int > origin, const RectangleList< int > &initialClip)
| Creates a context to render into a clipped subsection of an image.
| ~LowLevelGraphicsSoftwareRenderer () override
| Destructor.

## Detailed Description

A lowest-common-denominator implementation of LowLevelGraphicsContext that does all its rendering in memory.

User code is not supposed to create instances of this class directly - do all your rendering via the Graphics class instead.

## Constructor & Destructor Documentation

## ◆ LowLevelGraphicsSoftwareRenderer() [1/2]

LowLevelGraphicsSoftwareRenderer::LowLevelGraphicsSoftwareRenderer | ( | const Image & | imageToRenderOnto | ) |

Creates a context to render into an image.

## ◆ LowLevelGraphicsSoftwareRenderer() [2/2]

LowLevelGraphicsSoftwareRenderer::LowLevelGraphicsSoftwareRenderer | ( | const Image & | imageToRenderOnto,
|  | Point< int > | origin,
|  | const RectangleList< int > & | initialClip )

Creates a context to render into a clipped subsection of an image.

## ◆ ~LowLevelGraphicsSoftwareRenderer()

LowLevelGraphicsSoftwareRenderer::~LowLevelGraphicsSoftwareRenderer | ( |  | ) |
| override

Destructor.

The documentation for this class was generated from the following file:

- juce_LowLevelGraphicsSoftwareRenderer.h